Name: cockpit-sensors
Version: 1.1.18.g83dfbf0
Release: 1.20240418022451691549.pr30.18.g83dfbf0%{?dist}
Summary: Cockpit Sensors Module
License: LGPL-2.1-or-later

Source0: cockpit-sensors.tar.xz
Source1: cockpit-sensors-node.tar.xz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs
BuildRequires: make
BuildRequires: libappstream-glib
BuildRequires: gettext
%if 0%{?rhel} && 0%{?rhel} <= 8
BuildRequires: libappstream-glib-devel
%endif

Requires: cockpit-bridge

Provides: bundled(npm(@patternfly/patternfly)) = 5.2.0
Provides: bundled(npm(@patternfly/react-core)) = 5.2.0
Provides: bundled(npm(@patternfly/react-icons)) = 5.2.0
Provides: bundled(npm(@patternfly/react-styles)) = 5.2.0
Provides: bundled(npm(@patternfly/react-tokens)) = 5.2.1
Provides: bundled(npm(attr-accept)) = 2.2.2
Provides: bundled(npm(file-selector)) = 0.6.0
Provides: bundled(npm(focus-trap)) = 7.5.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.2.0
Provides: bundled(npm(react-dropzone)) = 14.2.3
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.2.0
Provides: bundled(npm(scheduler)) = 0.23.0
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(tslib)) = 2.6.2

%description
Cockpit Sensors Module

%prep
%autosetup -n cockpit-sensors -a 1
# ignore pre-built bundle in release tarball and rebuild it
# but keep it in RHEL/CentOS-8, as that has a too old nodejs
%if ! 0%{?rhel} || 0%{?rhel} >= 9
rm -rf dist
%endif

%build
NODE_ENV=production make

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Thu Apr 18 2024 Packit <hello@packit.dev> - 1.1.18.g83dfbf0-1.20240418022451691549.pr30.18.g83dfbf0
- Makefile: Update Cockpit lib to 5516784bc7aba7c6fb02d19c57afc4de (Cockpit Project)
- build(deps-dev): bump the esbuild group with 3 updates (dependabot[bot])
- Makefile: Update Cockpit lib to d8c2edc8a2e611f4b65285434bad0f08 (Cockpit Project)
- build(deps-dev): bump sass from 1.71.0 to 1.71.1 (dependabot[bot])
- workflows: Switch release to cockpit/tasks container (Martin Pitt)
- build(deps-dev): bump sass from 1.70.0 to 1.71.0 (dependabot[bot])
- build(deps-dev): bump qunit from 2.20.0 to 2.20.1 (dependabot[bot])
- Makefile: Update Cockpit lib to 2aebbbf2cc0302f21287bd278f5a3161 (Cockpit Project)
- Makefile: Update Cockpit lib to 2aebbbf2cc0302f21287bd278f5a3161 (Cockpit Project)
- build(deps-dev): bump gettext-parser from 7.0.1 to 8.0.0 (dependabot[bot])
- .github: don't run integration tests on actions changes (Jelle van der Waa)
- fix: tests (Cristopfer Luis Viana da Silva)
